#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation; either 
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be 
# useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public 
# License along with program; see the file COPYING. If not, 
# write to the Free Software Foundation, Inc., 59 Temple Place 
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2001 Free Software Foundation
#
# FILE:
# gnue.common.__init__
#
# DESCRIPTION:
#
# NOTES:
#
# HISTORY:
#

VERSION = '0.0.1'

import os
import urllib
import string

#
# Open a file or URL resource, 
# properly handling drive letters.
#
def openResource(resource): 
  drive = os.path.splitdrive(resource) 
  if len(drive[0]):
    return open(resource,'r')
  else:
    return urllib.urlopen(resource)


#
# Dynamically import a python module
#
import string

def dyn_import(name):
  try:
    mod = __import__(name)
    components = string.split(name, '.')
    for comp in components[1:]:
        mod = getattr(mod, comp)
    return mod
  except AttributeError, mesg: 
    raise ImportError, mesg


